<template>
	<view>
		<view>
			<hs-input label="申请人" v-model="form.applyUserName" disabled></hs-input>
			<hs-dept-select label="所在部门" v-model="form.deptId" :autofill="true"></hs-dept-select>
			<hs-input label="设备类型" v-model="form.deviceType"></hs-input>
			<hs-input label="设备名称" v-model="form.deviceName"></hs-input>
			<hs-input label="规格型号" v-model="form.deviceGg"></hs-input>
			<hs-dict-select label="报废性质" dictKey="device_scrap_status" v-model="form.scrapType" />
			<hs-input label="报废原因" v-model="form.remark" model="textarea"></hs-input>
			<hs-input label="设备位置" v-model="form.depositLoca" model="textarea"></hs-input>
			<hs-photo label="请添加设备照片" limit="5" v-model="form.photos"></hs-photo>
		</view>
		<u-gap height="70" bgColor="#ffffff"></u-gap>
		<hs-flow-submit ref="flowSubmit" @verify="verify" :data="form" api="deviceScrap"></hs-flow-submit>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				form: {
					applyUserName: '',
					photos: ''
				}
			}
		},
		onLoad() {
			//申请人初始化
			this.form.applyUserName = uni.getStorageSync("userInfo").nickName
		},
		methods: {
			verify() {
				console.log("提交", this.form)
				this.$refs.flowSubmit.submit()
			},
			input(e) {
				console.log(e)
			}
		}
	}
</script>

<style lang="scss" scoped>
	.desc {
		padding: 15rpx 5rpx;
	}

	.bottim_view {
		padding: 5px 20px 30px;
		position: fixed;
		left: 0px;
		bottom: 0px;
		width: 100%;
		height: 40px;
		background-color: #ffffff;
	}
</style>
